# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.ISortCondition

Packages that use ISortCondition
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of ISortCondition in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return ISortCondition
Modifier and Type
Method
Description
`ISortCondition`
IReportDesign.`createSortCondition()`
Create `ISortCondition`
`ISortCondition`
IScriptAPIFactory.`createSortCondition()`
Deprecated.
Create `ISortCondition`
`ISortCondition`
ScriptAPIFactory.`createSortCondition()`
Deprecated.
`static ISortCondition`
StructureScriptAPIFactory.`createSortCondition()`
Deprecated.
Create `ISortCondition`
`ISortCondition[]`
IListing.`getSortConditions()`
Returns all sort conditions.
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type ISortCondition
Modifier and Type
Method
Description
`void`
IListing.`addSortCondition(ISortCondition condition)`
Adds sort condition.key of ISortCondition is required.
`void`
IListing.`removeSortCondition(ISortCondition condition)`
Removes sort condition.